MLAPI API Reference

# CryptographyHelper Class

[This is preliminary documentation and is subject to change.]

Helper class for encryption purposes
Inheritance Hierarchy
System
Object
MLAPI.NetworkingManagerComponents.Cryptography
CryptographyHelper

Namespace: MLAPI.NetworkingManagerComponents.Cryptography
Assembly: MLAPI (in MLAPI.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
Copy

    public static class CryptographyHelper

Request Example
View Source

The CryptographyHelper type exposes the following members.

Methods

| Name | Description
--- | --- | ---
| Decrypt | Decrypts a message with AES with a given key and a salt that is encoded as the first 16 bytes of the buffer
| Encrypt | Encrypts a message with AES with a given key and a random salt that gets encoded as the first 16 bytes of the encrypted buffer

Top
See Also

#### Reference

MLAPI.NetworkingManagerComponents.Cryptography Namespace